Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## infomat.view.picture
Class SparsePictureConstructor

    java.lang.Object
      infomat.view.picture.SparsePictureConstructor

    public class SparsePictureConstructor

extends java.lang.Object

Field Summary
`private static int` | `colFrom`
`private static IObjectGrouping` | `colGrouping`
`private static int` | `colTo`
`private static int` | `columnColoringKind` columnColoringKind 0 - per column 1 - per partPicture row and column
`private static java.awt.Dimension` | `dimension`
`private static IMatrix` | `matrix`
`private static int` | `rowFrom`
`private static IObjectGrouping` | `rowGrouping`
`private static int` | `rowTo`
`private static TracePrinter` | `tp`
`private static boolean` | `traceOn`
`private static InfomatView` | `view`

Constructor Summary
`SparsePictureConstructor()`

Method Summary
`private static void` | `fillSparsePicture(SparsePicture sparsePicture)`
`private static int` | `getImagePixels(int from, int to, int tot, int picTot)`
`private static SparsePicture` | `initSparsePicture()`
`private static int[]` | `makeLargeImageCoordLimits(int size, int numOfSteps)`
`static SparsePicture` | `zoom(InfomatView v, IMatrix m, java.awt.Dimension d, int cFrom, int cTo, int rFrom, int rTo)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### dimension

    private static java.awt.Dimension dimension

### view

    private static InfomatView view

### matrix

    private static IMatrix matrix

### colGrouping

    private static IObjectGrouping colGrouping

### rowGrouping

    private static IObjectGrouping rowGrouping

### colFrom

    private static int colFrom

### colTo

    private static int colTo

### rowFrom

    private static int rowFrom

### rowTo

    private static int rowTo

### traceOn

    private static boolean traceOn

### tp

    private static TracePrinter tp

### columnColoringKind

    private static int columnColoringKind

  columnColoringKind 0 - per column 1 - per partPicture row and column

Constructor Detail

### SparsePictureConstructor

    public SparsePictureConstructor()

Method Detail

### zoom

    public static SparsePicture zoom(InfomatView v,
                                     IMatrix m,
                                     java.awt.Dimension d,
                                     int cFrom,
                                     int cTo,
                                     int rFrom,
                                     int rTo)

### initSparsePicture

    private static SparsePicture initSparsePicture()

### getImagePixels

    private static int getImagePixels(int from,
                                      int to,
                                      int tot,
                                      int picTot)

### fillSparsePicture

    private static void fillSparsePicture(SparsePicture sparsePicture)

### makeLargeImageCoordLimits

    private static int[] makeLargeImageCoordLimits(int size,
                                                   int numOfSteps)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD